package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-06-27
 * @description : CP推送数据类型枚举
 */
@Getter
@AllArgsConstructor
public enum CpPushDataEnum {

    /**
     * 玩家数据
     */
    CP_PUSH_DATA_USER("CP_PUSH_DATA_USER"),

    /**
     * 玩家角色数据
     */
    CP_PUSH_DATA_ROLE("CP_PUSH_DATA_ROLE"),

    /**
     * 玩家角色订单数据
     */
    CP_PUSH_DATA_ORDER("CP_PUSH_DATA_ORDER"),

    /**
     * 区服数据
     */
    CP_PUSH_DATA_SERVER("CP_PUSH_DATA_SERVER"),

    /**
     * 玩家活跃数据
     */
    CP_PUSH_DATA_ACTIVE("CP_PUSH_DATA_ACTIVE");

    /**
     * 枚举值
     */
    private final String value;
}
